<section class="page-title-area">
    <div class="container">
        <div class="page-title-content">
            <h1 >{{'register' | translate }}</h1>
        </div>
    </div>

</section>
<div class="all">
<div class="container " [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }"  style="padding-top: 5%;">
    <div class="row align-items-center">
        <div class="col-lg-12 col-md-12">
            <div class="analysis-form">

                <form  [formGroup]="registerForm" (ngSubmit)="register()">
                    <div class="row">
                        
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                
                                <input type="text" class="form-control" id="full_name" placeholder="{{'full_name' | translate }}"
                                formControlName="full_name"
                                    [ngClass]="{ 'is-invalid': submitted && f.full_name.errors }">
                                    <div *ngIf="submitted && f.full_name.errors" class="invalid-feedback">
                                        <div *ngIf="f.full_name.errors.required && lang" style="float: right;">الاسم مطلوب</div>
                                        <div *ngIf="f.full_name.errors.required && !lang">Full Name is required</div>
                                    </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <input type="email" class="form-control" id="email" placeholder="{{'email' | translate }}"
                                formControlName="email"
                                    [ngClass]="{ 'is-invalid': submitted && f.email.errors }">
                                    <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                                        <div *ngIf="f.email.errors.required && lang" style="float: right;">الايميل مطلوب</div>
                                        <div *ngIf="f.email.errors.required && !lang">Email is required</div>
                                        <div *ngIf="f.email.errors.email && lang" style="float: right;">يجب أن يكون البريد الإلكتروني عنوان
                                            بريد إلكتروني صالح</div>
                                        <div *ngIf="f.email.errors.email && !lang">Email must be a valid email address
                                        </div>
                                    </div>
                            </div>
                        </div>
                     
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <select  class="form-req"   class="form-control ff"  formControlName="country_id" 
                                [ngClass]="{ 'is-invalid': submitted && f.country_id.errors }"
                                (change)="selectCountrys($event)"       >
                                 <option selected disabled value>{{ 'country' | translate }}
                                 </option>
                                 <option *ngFor="let c of country" [value]="c.id">
                                     <a *ngIf="lang">{{c.name_ar}}</a>
                                     <a *ngIf="!lang">{{c.name_en}}</a>
                                 </option>
                                 
                             </select>
                             <div *ngIf="submitted && f.country_id.errors" class="invalid-feedback">
                                <div *ngIf="f.country_id.errors.required && lang" style="float: right;">الحقل مطلوب</div>
                                <div *ngIf="f.country_id.errors.required && !lang">failed is required</div>
                            </div>
                            
                            </div>
                        </div>

                     

                     

                        
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <input type="text" class="form-control" id="address" placeholder="{{'address' | translate }}"
                               
                            >
                             
                            </div>
                        </div>

                         
                    

                     
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <input type="password" class="form-control" id="password" placeholder="{{'password' | translate }}"
                                formControlName="password"
                                [ngClass]="{ 'is-invalid': submitted && f.password.errors }">
                                <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                                    <div *ngIf="f.password.errors.required && lang" style="float: right;">كلمة المرور مطلوبة</div>
                                    <div *ngIf="f.password.errors.required && !lang">password is required</div>
                                    <div
                                    *ngIf=" f.password.errors.minlength && lang " style="float: right;">
                                    كلمة المرور يجب أن تكون أكثر من 7 محارف</div>
                                <div
                                    *ngIf=" f.password.errors.minlength && !lang ">
                                    The password must be more than 7 characters long </div>

                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <input type="password" class="form-control" id="password_confirmation" placeholder="{{'password_confirmation' | translate }}"
                                formControlName="password_confirmation"
                                [ngClass]="{ 'is-invalid': submitted && f.password_confirmation.errors }">
                                <div *ngIf="submitted && f.password_confirmation.errors" class="invalid-feedback">
                                    <div *ngIf="f.password_confirmation.errors.required && lang" style="float: right;">كلمة المرور
                                        مطلوبة</div>
                                    <div *ngIf="f.password_confirmation.errors.required && !lang">password is
                                        required</div>
                                        <div
                                        *ngIf=" f.password_confirmation.errors.minlength && lang " style="float: right;"> 
                                       تأكيد كلمة المرور يجب أن تكون أكثر من 7 محارف </div>
                                    <div
                                        *ngIf="f.password_confirmation.errors.minlength && !lang ">
                                        The password confirmation must be more than 7 characters long </div>

                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <input type="number"  min="1" class="form-control" id="phone" placeholder="{{'phone' | translate }}"
                                formControlName="phone"
                                [ngClass]="{ 'is-invalid': submitted && f.phone.errors }">
                                <div *ngIf="submitted && f.phone.errors" class="invalid-feedback">
                                    <div *ngIf="f.phone.errors.required && lang" style="float: right;">رقم الموبايل مطلوب</div>
                                    <div *ngIf="f.phone.errors.required && !lang">Phone Number is required</div>
                                    <div *ngIf="f.phone.errors.phone && lang" style="float: right;">يجب أن يكون رقم الهاتف صحيح</div>
                                    <div *ngIf="f.phone.errors.phone && !lang">phone must be a valid Phone Number
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">    
                        <!-- <label style="float: right;color: white;" *ngIf="lang" >رفع صورة الهوية  </label> -->
                        <!-- <label style="float: left;color: white;" *ngIf="!lang">Upload Your ID </label> -->
                
                         <input type="file" id="file"  name="" class="inputfile"  (change)="upload($event.target.files)"
                         formControlName="id_photo"  />
                         <label for="file"  [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }" >
                            <i class="fa fa-upload" aria-hidden="true" style="color: white;float:right"></i> 
                            <span style="color: white;" *ngIf="lang">
                                رفع صورة الهوية </span>
                                <span style="color: white;" *ngIf="!lang">
                                    Upload Your ID </span>
                                    
                        </label>
                        <!-- <p style="color: white">{{namefile}}</p> -->
                        <progress-bar [progress]="percentDone " id="progressAdd" 
                        [color-degraded]="{'0': '#007bff',  '15': '#125596', '25': '#007bff'}" style="direction:ltr;display: none; ">
                        </progress-bar> 
                         </div>
                         </div>

                    </div>
                    <button type="submit" class="default-btn" [ngStyle]="{'float': lang ?  'right': 'left' }">{{'signup'|translate}} 
                        <i class="fa fa-cog fa-spin" style="color: white;" *ngIf="loading"></i>
                    </button> 
                </form>
            </div>
        </div>
    </div>
</div>
</div>